memset_explicit(3)

NAME
memset_explicit - memory set explicit

LIBRARY
None.

It is not yet implemented in glibc.

SYNOPSIS
#include <string.h>  // see memory.h(3head)

void *memset_explicit(size_t n;
                      void a[n], int c, size_t n);

DESCRIPTION
This function is similar to memset(3), but guarantees that compiler optimizations will not remove the erase operation if the compiler deduces that the operation is "unnecessary".

RETURN VALUE
See memset(3).

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C23.

HISTORY
C23.

CAVEATS
See explicit_bzero(3).

SEE ALSO
bstring(3), memory.h(3head), explicit_bzero(3)